# Package org.apache.solr.client.solrj.beans

Annotation based mapping of client objects to Solr documents.

See: Description

Class Summary
Class | Description
--- | ---
DocumentObjectBinder | A class to map objects to and from solr documents.

Exception Summary
Exception | Description
--- | ---
BindingException |

Annotation Types Summary
Annotation Type | Description
--- | ---
Field | This class can be used to annotate a field or a setter an any class and SlrJ would help you convert to SolrInputDocument and from SolrDocument

## Package org.apache.solr.client.solrj.beans Description

Annotation based mapping of client objects to Solr documents.